Subject: Re: [rtcweb] Warren Kumari's No Objection on draft-ietf-rtcweb-overview-18: (with COMMENT)

From: Sean Turner <[email-masked]>
Date: Tue, 16 May 2017 12:36:54 -0400

> On Apr 25, 2017, at 11:11, Warren Kumari <[email-masked]> wrote:
> 
> 
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
> 
> Thank you -- I like these sort of overview documents for complex things
> like WebRTC - they provide a newcomer to the technology a good place to
> start, and help describe some of the reasons why things look the way they
> do.
> 
> [ Edit: So, after more thought (and some discussion) I think that it
> would be useful for the document to at least note the fact that
> technologies like this mean that some of the existing operational
> practices may need to change. For example, many enterprises perform QoS
> based upon the fact that certain types of devices live in certain subnets
> (e.g many phones get placed in a specific VLAN using LLDP or CDP). With
> more real time content coming from browsers, these matching practices
> break, and so operators may not be able to QoS mark / prioritize traffic
> accordingly. Perhaps something like: "One of the implications of a
> solution like WebRTC is that more real-time traffic will be sourced from
> computers (and not dedicated devices like telephones or 
> videoconferencing devices). This may have implications for operators
> performing QoS marking and prioritization" ? This isn't really specific
> to webrtc, but rather to a more general set of solutions like softphones
> and the like, but is accelerated by WebRTC. ] 

To address Benoit, Kathleen, and Warren’s concerns here’s a PR:
https://github.com/rtcweb-wg/rtcweb-overview/pull/15

> I do have a few comments on the document itself - there are all minor /
> bikeshedding and can be ignored if you choose:
> 1: "Development of The Universal Solution has proved hard, however, for
> all the usual reasons."
> -- this is cute, but leaves people wondering what "all the usual reasons
> are". Perhaps just "Development of The Universal Solution has, however, 
> proved hard." (or just cut after the "however in the original").
> 
> 2: I'm not sure why you have "Protocol" in the terminology section. It
> doesn't seem like it is useful for the document, and this document
> doesn't seem like the right place to (re) define it.
> 
> 3: Acknowledgements: 
> Funny spacing in "Olle E.     Johansson”

To address #1 and #3, here’s a PR:
https://github.com/rtcweb-wg/rtcweb-overview/pull/17/files

Note I’m going to leave protocol in because I don’t think it really hurts to leave it in.

spt

---

From: Warren Kumari <[email-masked]>
Date: Tue, 16 May 2017 15:46:12 -0400

Thank you very much.

These work for me...

W

-- 
I don't think the execution is relevant when it was obviously a bad
idea in the first place.
This is like putting rabid weasels in your pants, and later expressing
regret at having chosen those particular rabid weasels and that pair
of pants.
   ---maf